window.Gleam.initSearch([{"doc":"envoy","title":"envoy","content":"# envoy\n\nA zero dependency cross platform Gleam package for reading environment variables.\n\n[![Package Version](https://img.shields.io/hexpm/v/envoy)](https://hex.pm/packages/envoy)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/envoy/)\n\n```sh\ngleam add envoy\n```\n\n```gleam\nimport envoy\n\npub fn main() {\n  // Get an environment variable\n  envoy.get(&quot;PORT&quot;)\n\n  // Set an environment variable\n  envoy.set(&quot;PORT&quot;, &quot;8080&quot;)\n\n  // Unset an environment variable\n  envoy.unset(&quot;PORT&quot;)\n\n  // Get all environment variables\n  envoy.all()\n}\n```\n\nThat&#39;s pretty much it, but documentation can be found at\n&lt;https://hexdocs.pm/envoy&gt;.\n\n(OK I lied, it has one dep. The standard library so we can use `Dict` for `all`).\n","url":"index.html"},{"doc":"envoy","title":"all","content":"pub fn all() -&gt; Dict(String, String)\n Get all the environment variables.\n\nSynonyms:\nenvoy.all\nenvoy all","url":"envoy.html#all"},{"doc":"envoy","title":"get","content":"pub fn get(name: String) -&gt; Result(String, Nil)\n Get an environment variable by name.\n\n \n get(&quot;HOME&quot;)\n // -&gt; Ok(&quot;/home/lucy&quot;)\n \n\n \n get(&quot;WORLD_PEACE&quot;)\n // -&gt; Error(Nil)\n \n\nSynonyms:\nenvoy.get\nenvoy get","url":"envoy.html#get"},{"doc":"envoy","title":"set","content":"pub fn set(name: String, value: String) -&gt; Nil\n Set an environment variable.\n\n \n get(&quot;FAVOURITE_COLOUR&quot;)\n // -&gt; Error(Nil)\n set(&quot;FAVOURITE_COLOUR&quot;, &quot;Pink&quot;)\n\n get(&quot;FAVOURITE_COLOUR&quot;)\n // -&gt; Ok(&quot;Pink&quot;)\n \n\nSynonyms:\nenvoy.set\nenvoy set","url":"envoy.html#set"},{"doc":"envoy","title":"unset","content":"pub fn unset(name: String) -&gt; Nil\n Unset an environment variable.\n\n \n set(&quot;FAVOURITE_COLOUR&quot;, &quot;Pink&quot;)\n\n get(&quot;FAVOURITE_COLOUR&quot;)\n // -&gt; Ok(&quot;Pink&quot;)\n\n unset(&quot;FAVOURITE_COLOUR&quot;)\n\n get(&quot;FAVOURITE_COLOUR&quot;)\n // -&gt; Error(Nil)\n \n\nSynonyms:\nenvoy.unset\nenvoy unset","url":"envoy.html#unset"},{"doc":"envoy","title":"envoy","content":"","url":"envoy.html"}]);